<?php

    namespace FederationLib\Managers;

    use FederationLib\Enums\Standard\UserPeerType;
    use FederationLib\FederationLib;
    use FederationLib\Interfaces\PeerMetadataManagerInterface;
    use FederationLib\Objects\Standard\PeerMetadata\TelegramUserMetadata;

    class PeerManager
    {
        /**
         * @var FederationLib
         */
        private $federationLib;

        /**
         * @var PeerMetadataManagerInterface[]
         */
        private $metadata_managers;

        /**
         * PeerManager constructor.
         *
         * @param FederationLib $federationLib
         */
        public function __construct(FederationLib $federationLib)
        {
            $this->federationLib = $federationLib;
            $this->metadata_managers[UserPeerType::TELEGRAM_USER] = new TelegramUserMetadata();
        }
    }